Bug 179662 - if a service is on the not-most-preferred member of an ordered failover domain (and a more-preferred node is online) and the service itself incurs an error
if a service is on the not-most-preferred member of an ordered failover domai...
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
if a service is on the not-most-prefe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-01 17:42 EST by Joseph Kachuck
Modified: 2009-04-16 16:19 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0557
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:20:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Kachuck 2006-02-01 17:42:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
if a service is on the not-most-preferred member of an ordered failover domain (and a more-preferred node is online) and the service itself incurs an error, it will not restart the service and the service will get stuck in the 'recovering' state.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Set the priority for a server to 2 in fence
2.Move the service to this server with priority set to 2.
3.ifdown a monitored interface.
  

Actual Results:  Service stays in recovering

Expected Results:  Service should fail over

Additional info:

This issue has been reproduced with lon. 
The fix should be a one liner:
 @@ -1246,6 +1249,7 @@
                 tolerance = FOD_GOOD;
  
         if (req != RG_RESTART &&
+           req != RG_START_RECOVER &&
             (node_should_start_safe(my_id(), membership, svcName) <
              tolerance)) {
                 cml_free(membership);
Comment 2 Lon Hohberger 2006-02-02 13:55:59 EST
fixes in CVS head, STABLE, RHEL4
Comment 3 Lon Hohberger 2006-05-12 12:51:51 EDT
this does not seem to 100% fix the problem-- investigating more
Comment 6 Red Hat Bugzilla 2006-08-10 17:20:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0557.html

Note You need to log in before you can comment on or make changes to this bug.